Bug 118022 - (SATA PROMISE)Boot hangs if sata_promise driver is loaded from initrd.
(SATA PROMISE)Boot hangs if sata_promise driver is loaded from initrd.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-11 02:38 EST by Tomi Pakarinen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:11:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomi Pakarinen 2004-03-11 02:38:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040113

Description of problem:
Boot hangs on root partition check. 

I have MSI K8T mobo and additional Promise Sata 150TX2+ card installed.
During installation of core1 installer finds this card and adds
sata_promise -driver to initrd-image. Actually i don't need this
driver because i'am istalling core1 on disk which is not connected to
this sata-card.

 Installation went ok. But when i try to boot system, system hangs
immediately when it tries to access harddisk. Hangs on "Checking root
partition"-line.

 I worked around this by procedure:

1. I removed Promise Sata 150TX2+ card 
2. Booted system (now boot didn't hang.)
3. Created new initrd -image without sata_promise-driver.
4. I placed sata-card back.
5. Now boot went ok.





Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Have a MSI K8T mobo + Promise Sata 150TX2+
2. Install system on normal PATA-drive
3. Boot ---> Hang
    

Actual Results:  Hang

Expected Results:  Normal boot.

Additional info:

I have disabled promise & via raid sata controllers on MSI K8T-mobo
from bios.
Comment 1 David Lawrence 2004-09-29 16:11:28 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.